Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.

Path Parameters

service_account_id
string
required

Response

200 - application/json

A named service account that workload identity federation tokens act as.

id
string
required

Service account ID

name
string
required

Name, unique in the organization

preset_permissions
ServiceAccountPresetPermissionsV1 · object
required

What the service account may do. Temporary; may be removed once fine-grained access control is available.

disabled
boolean
required

Whether the account is disabled. A disabled account can't be used.

created_at
string<date-time>
required

Time the account was created

updated_at
string<date-time>
required

Time the account was last updated

description
string | null

Description

team_id
string | null

The team that owns the account. Null for an organization account.

last_used_at
string<date-time> | null

Last time a token was exchanged for this account. Null until the first.